scim_backend.h File Reference

definition of scim::BackEnd class. More...

## Classes

class | scim::BackEndError
| An exception class to hold BackEnd related errors. More...
class | scim::BackEndBase
| The interface class to manage a set of IMEngineFactory and IMEngineInstance objects. More...
class | scim::CommonBackEnd
| The default implementation of scim::BackEndBase interface. More...

## Namespaces

namespace | scim

## Typedefs

typedef Pointer< BackEndBase > | scim::BackEndPointer

## Detailed Description

definition of scim::BackEnd class.

Class scim::BackEnd is used to load and manage IMEngine modules and IMEngineFactories.